src = backop.c contpol.c
obj = $(src:%.c=$(obj_dir)/%.o)
LIBS = -lm -lportal -ldl

##############################################################

all: $(dest_dir)/libcontpol.so

$(dest_dir)/libcontpol.so: $(obj)
	$(LD) $(LDFLAGS) -shared -o "$(dest_dir)/libcontpol.so" $(obj) -L$(dest_dir) $(LIBS)

$(obj_dir)/%.o: %.c
	$(CC) $(CFLAGS) -fPIC -c -I$(incl_path) $< -o $@

